SQLITE3_TXN_STATE(3) | Library Functions Manual | SQLITE3_TXN_STATE(3)

# NAME

`sqlite3_txn_state` — determine the transaction state of a database

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_txn_state`(sqlite3*, const char *zSchema);

# DESCRIPTION

The sqlite3_txn_state(D,S) interface returns the current transaction state of schema S in database connection D. If S is NULL, then the highest transaction state of any schema on database connection D is returned. Transaction states are (in order of lowest to highest):

1. SQLITE_TXN_NONE
2. SQLITE_TXN_READ
3. SQLITE_TXN_WRITE

If the S argument to sqlite3_txn_state(D,S) is not the name of a valid schema, then -1 is returned.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 6655.

    SQLITE_API int sqlite3_txn_state(sqlite3*,const char *zSchema);

# SEE ALSO

SQLITE_TXN_NONE(3)

January 24, 2024 | NetBSD 11.0